
/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */

package br.com.andretanaka.jsf1basico.controller;

import br.com.andretanaka.jsf1basico.view.ManagedBeanDaTelaInicio;
import br.com.andretanaka.jsf1basico.view.ManagedBeanDaTelaResultado;
import java.io.Serializable;
import java.util.Map;
import javax.faces.context.FacesContext;

/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */
public class ControllerTelaResultado implements Serializable{
    
    private Map getSessionMapAHT(){
	return FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
    }
    
    
    public String voltarParaInicio(){
	ManagedBeanDaTelaInicio managedBeanDaTelaInicio = (ManagedBeanDaTelaInicio) getSessionMapAHT().get("managedBeanDaTelaInicio");
	managedBeanDaTelaInicio.setNumero1("");
	managedBeanDaTelaInicio.setNumero2("");
	getSessionMapAHT().put("managedBeanDaTelaInicio", managedBeanDaTelaInicio);
	ManagedBeanDaTelaResultado managedBeanDaTelaResultado = (ManagedBeanDaTelaResultado) getSessionMapAHT().get("managedBeanDaTelaResultado");
	managedBeanDaTelaResultado.setNumero1("");
	managedBeanDaTelaResultado.setNumero2("");
	managedBeanDaTelaResultado.setResultado("");
	getSessionMapAHT().put("managedBeanDaTelaResultado", managedBeanDaTelaResultado);
	return "TELA_INICIO";	//navega para a tela resultado.xhtml cadastrado no arquivo faces-config.xml
    }

}
/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */